#!/bin/bash

#testovanie, ci bol definovany testovany program
if [ $# -eq 0 ]; then
    TESTED_PROGRAM="u1-1"
else
    TESTED_PROGRAM=$1
fi

TESTED_PROGRAM_OUTPUT="tests/tested_program_output.txt"
STRACE_OUTPUT="tests/strace_out.txt"
PASSED_MSG="OK"
NUMBER_OF_STEPS=1
CURRENT_STEP=0

echo "TESTOVANY PROGRAM:"
echo $TESTED_PROGRAM



if ! strace -e openat -o $STRACE_OUTPUT ./$TESTED_PROGRAM file_as_argument.txt > $TESTED_PROGRAM_OUTPUT 2>&1; then
    echo "TEST NEPREBEHOL"
    echo < STRACE_OUTPUT
    exit 1
fi

((CURRENT_STEP+=1))
echo "TEST $CURRENT_STEP / $NUMBER_OF_STEPS"

if grep -q "^openat(AT_FDCWD, \"file_as_argument.txt\", O_RDONLY)" $STRACE_OUTPUT; then
	echo $PASSED_MSG
else	
	echo "CHYBA open(): nesprávne hodnoty argumentov"
fi




